

# ListAccessPreviewFindings
<a name="API_ListAccessPreviewFindings"></a>

Retrieves a list of access preview findings generated by the specified access preview.

## Request Syntax
<a name="API_ListAccessPreviewFindings_RequestSyntax"></a>

```
POST /access-preview/accessPreviewId HTTP/1.1
Content-type: application/json

{
   "analyzerArn": "string",
   "filter": { 
      "string" : { 
         "contains": [ "string" ],
         "eq": [ "string" ],
         "exists": boolean,
         "neq": [ "string" ]
      }
   },
   "maxResults": number,
   "nextToken": "string"
}
```

## URI Request Parameters
<a name="API_ListAccessPreviewFindings_RequestParameters"></a>

The request uses the following URI parameters.

 ** [accessPreviewId](#API_ListAccessPreviewFindings_RequestSyntax) **   <a name="accessanalyzer-ListAccessPreviewFindings-request-uri-accessPreviewId"></a>
The unique ID for the access preview.  
Pattern: `[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

## Request Body
<a name="API_ListAccessPreviewFindings_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [analyzerArn](#API_ListAccessPreviewFindings_RequestSyntax) **   <a name="accessanalyzer-ListAccessPreviewFindings-request-analyzerArn"></a>
The [ARN of the analyzer](https://docs.aws.amazon.com/IAM/latest/UserGuide/access-analyzer-getting-started.html#permission-resources) used to generate the access.  
Type: String  
Pattern: `[^:]*:[^:]*:[^:]*:[^:]*:[^:]*:analyzer/.{1,255}`   
Required: Yes

 ** [filter](#API_ListAccessPreviewFindings_RequestSyntax) **   <a name="accessanalyzer-ListAccessPreviewFindings-request-filter"></a>
Criteria to filter the returned findings.  
Type: String to [Criterion](API_Criterion.md) object map  
Required: No

 ** [maxResults](#API_ListAccessPreviewFindings_RequestSyntax) **   <a name="accessanalyzer-ListAccessPreviewFindings-request-maxResults"></a>
The maximum number of results to return in the response.  
Type: Integer  
Required: No

 ** [nextToken](#API_ListAccessPreviewFindings_RequestSyntax) **   <a name="accessanalyzer-ListAccessPreviewFindings-request-nextToken"></a>
A token used for pagination of results returned.  
Type: String  
Required: No

## Response Syntax
<a name="API_ListAccessPreviewFindings_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "findings": [ 
      { 
         "action": [ "string" ],
         "changeType": "string",
         "condition": { 
            "string" : "string" 
         },
         "createdAt": "string",
         "error": "string",
         "existingFindingId": "string",
         "existingFindingStatus": "string",
         "id": "string",
         "isPublic": boolean,
         "principal": { 
            "string" : "string" 
         },
         "resource": "string",
         "resourceControlPolicyRestriction": "string",
         "resourceOwnerAccount": "string",
         "resourceType": "string",
         "sources": [ 
            { 
               "detail": { 
                  "accessPointAccount": "string",
                  "accessPointArn": "string"
               },
               "type": "string"
            }
         ],
         "status": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListAccessPreviewFindings_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [findings](#API_ListAccessPreviewFindings_ResponseSyntax) **   <a name="accessanalyzer-ListAccessPreviewFindings-response-findings"></a>
A list of access preview findings that match the specified filter criteria.  
Type: Array of [AccessPreviewFinding](API_AccessPreviewFinding.md) objects

 ** [nextToken](#API_ListAccessPreviewFindings_ResponseSyntax) **   <a name="accessanalyzer-ListAccessPreviewFindings-response-nextToken"></a>
A token used for pagination of results returned.  
Type: String

## Errors
<a name="API_ListAccessPreviewFindings_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
A conflict exception error.    
 ** resourceId **   
The ID of the resource.  
 ** resourceType **   
The resource type.
HTTP Status Code: 409

 ** InternalServerException **   
Internal server error.    
 ** retryAfterSeconds **   
The seconds to wait to retry.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource could not be found.    
 ** resourceId **   
The ID of the resource.  
 ** resourceType **   
The type of the resource.
HTTP Status Code: 404

 ** ThrottlingException **   
Throttling limit exceeded error.    
 ** retryAfterSeconds **   
The seconds to wait to retry.
HTTP Status Code: 429

 ** ValidationException **   
Validation exception error.    
 ** fieldList **   
A list of fields that didn't validate.  
 ** reason **   
The reason for the exception.
HTTP Status Code: 400

## See Also
<a name="API_ListAccessPreviewFindings_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/accessanalyzer-2019-11-01/ListAccessPreviewFindings) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/accessanalyzer-2019-11-01/ListAccessPreviewFindings) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/accessanalyzer-2019-11-01/ListAccessPreviewFindings) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/accessanalyzer-2019-11-01/ListAccessPreviewFindings) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/accessanalyzer-2019-11-01/ListAccessPreviewFindings) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/accessanalyzer-2019-11-01/ListAccessPreviewFindings) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/accessanalyzer-2019-11-01/ListAccessPreviewFindings) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/accessanalyzer-2019-11-01/ListAccessPreviewFindings) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/accessanalyzer-2019-11-01/ListAccessPreviewFindings) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/accessanalyzer-2019-11-01/ListAccessPreviewFindings) 